
/* ------------ HERO ------------ */
.hero {
    padding: 20px 0;
    background-image: url('../images/hero-bg-3.jpg');
    background-size: cover;
    background-position: center center;
}


.hero-inner {
    display: flex;
    align-items: center;
    gap: 40px;
}

.hero-text {
    width: 55%;
}
.hero-text h1 {
    font-size: 48px;
    line-height: 1.2;
    margin-bottom: 20px;
}
.hero-text p {
    font-size: 17px;
    margin-bottom: 25px;
    color: rgb(34, 7, 7)
}

.cta-btn {
    padding: 14px 32px;
    border: none;
    background: #0aa06e;
    border-radius: 6px;
    color: #fff;
    cursor: pointer;
    font-size: 17px;
    font-weight: 600;
}
.cta-btn:hover {
    background: #078c5f;
}


.hero-img {
    width: 45%;
}

.hero-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center center;
}




/* ------- sOur Services section ------ */
.services, .latest-news, .message-us, .footer {
    padding-top: 10px;
    padding-bottom: 0;
}


.ses-head {
    text-align: center;
    font-size: 28px;
    font-weight: 600;
    margin-bottom: 15px;
}

.service-session {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    column-gap: 24px;
    row-gap: 15px;
    overflow-wrap: break-word;
}

.service-card {
    padding: 12px;
    margin: 0;
    background-color: white;
    border: 1px solid #e5e7eb;
    border-radius: 16px;
    box-shadow: 0 3px 20px rgba(0, 0, 0, 0.04);
    display: flex;
    flex-direction: column;
    align-items: start;
    
}

.c-top {
    display: flex;
    align-items: center;
    gap: 12px;
    margin-bottom: 12px;
}

.icon-bg {
    background-color: green;
    border-radius: 50px;
    width: 30px;
    height: 30px;
    padding: 5px;
}

.icon-bg i {
    font-size: 20px;
    color: white;
}

.c-top-text {
    font-size: 18px;
    font-weight: bold;
    overflow-wrap: break-word;
}

.service-text {
    font-size: 15px;
    font-weight: 500;
}

/* ------- Banner 1 ------ */

.banner-1 {
    background: url('../images/banner-1.png');
    background-size: cover cover;
    background-position: center center;
    background-repeat: no-repeat;
    height: 220px;
    margin: 20px 0;
    
}

/* ------- Latest News section ------ */

.news-flex {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.news-section {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;      
    column-gap: 24px;
    row-gap: 15px;
}

.news-card {
    padding: 12px;
    margin: 0;
    background-color: white;
    border: 1px solid #868686;
    border-radius: 10px;
    box-shadow: 0 3px 20px rgba(0, 0, 0, 0.04);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: start;
    position: relative;
}

.news-card:hover {
    cursor: pointer;
    box-shadow: 2px 2px 10px rgba(0, 0, 0, 0.2);
}

.news-cat {
    position: absolute;
    top: -11px;
    left: 30px;
    background-color: green;
    border-radius: 50px;
    text-align: center;
    color: white;
    font-size: 10px;
    font-weight: bold;
    padding: 5px;
    border: none;
}

.more-news {
    margin-top: 20px;
    margin-bottom: 5px;
    padding: 7px 15px;
    font-size: 14px;
    font-weight: bold;
    border: 1px solid black;
    border-radius: 10px;
}

.more-news:hover {
    cursor: pointer;
    background-color: green;
    color: white;
    border-color: green;
}



/* ------- ADMISSION SECTION ------ */

.adm-section, .online-container  {
    margin: 10px 0;
    padding: 40px 0;
    padding-bottom: 20px;
    background-image: url('../images/bg-2.jpg');
    background-size: cover;
    background-position: center center;
    color: white;
}

.adm-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.adm-card {
    position: relative;
    border: 1px solid white;
    border-radius: 10px;
    text-align: center;
    padding: 30px 15px;
    padding-bottom: 20px;
    max-width: 700px;
}

.adm-head {
    background-color: green;
    border: none;
    border-radius: 50px;
    padding: 10px 20px;
    position: absolute;
    top: -20px;
}

.adm-btn button{
    border: none;
    border-radius: 50px;
    background-color: green;
    color: white;
    padding: 12px 15px;
    margin-top: 10px;
    font-size: 18px;
    font-weight: 400;
}

.adm-btn button:hover {
    background-color: rgba(0, 128, 0, 0.7);
    cursor: pointer;
}


/* ------- CAREER GUIDELINE SECTION ------ */

.career-section {
    display: grid;
    grid-template-columns: 1fr 1fr;
    padding: 0 10px;      
    column-gap: 50px;
    row-gap: 15px;
}

.career-section a{
    text-decoration: none;
    color: inherit;
}

.career-section a:active {
    opacity: 0.8;
}

.career-card {
    margin: 0;
    padding: 0;
    background-color: white;
    border-radius: 5px;
    box-shadow: 0 3px 20px rgba(0, 0, 0, 0.04);
    display: flex;
    justify-content: start;
    height: 80px;
}

.career-card:hover {
    cursor: pointer;
    box-shadow: 2px 2px 10px rgba(0, 0, 0, 0.2);
}

.career-img img {
    width: 100px;
    height: 100%;
    border-radius: 5px;
    margin-right: 10px;
}

.career-text {
    align-self: center;
    font-size: 15px;
    font-weight: bold;
    padding-left: 8px;
}

/* ------- Online Registration section ------ */

.online-container {
    padding: 40px 0;
    background-image: url('../images/online-registration-2.png');
}

.online-head {
    font-weight: 500;
    color: white;
    text-align: center;
    font-size: 25px;
}
.online-reg {
    padding: 5px 0;
    display: flex;
    justify-content: space-around;
    gap: 0px;
}

.reg-card {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0;
    margin: 0;
    font-size: 18px;
    font-weight: 500;
    color: white;
}

.reg-card img {
    width: 40px;
    margin-right: 3px;
}

/* ------- Message Us section ------ */

.message-box {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
    max-width: 500px;
    padding: 15px 0;
    background-color: white;
    margin-bottom: 20px;
}

.message-box p {
    font-weight: 600;
    font-size: 20px;
}

.message-form {
    display: flex;
    flex-direction: column;
    justify-content: center;
    width: 100%;
    gap: 15px;
    padding: 0 20px;
    padding-top: 10px;
}

.message-form input, .message-form textarea {
    font-size: 15px;
    border: none;
    border-bottom: 2px solid rgb(221, 220, 220);
    margin: 0;
    padding: 10px 15px;
    resize: none;
}

.message-form input:focus, .message-form textarea:focus {
    outline: none;
    box-shadow: none;
}

.btn-section {
    display: flex;
    justify-content: center;
}

.message-btn {
    align-items: center;
    background-color: #0aa06e;
    color: white;
    padding: 10px 15px;
    border: none;
    border-radius: 8px;
    font-weight: 600;
    font-size: 16px;
}

.message-btn:hover {
    background-color: #078c5f;
    cursor: pointer;
}




/* ------- MOBILE RESPONSIVENESS ------ */

@media (max-width: 768px) {

    .hero-inner {
        flex-direction: column;
        text-align: center;
        
    }

    .hero-text {
        width: 100%;
    }

    .hero-text h1 {
        font-size: 35px;
}

    .hero-text p {
        display: none;
    }

    .hero-img {
        display: none;
    }


    .service-session, .news-section { 
        grid-template-columns: 1fr;
        margin-top: 20px;
        row-gap: 20PX;
    }

    .banner-1 {
        background-size: 100% 100%;
        width: 100%;
        height: 140px;
        margin: 20px 0;
    }

    .career-section {
        grid-template-columns: 1fr;
        padding: 0;
        width: 100%;
    }
    
}

@media (max-width: 920px) {
    .ses-head {
        font-size: 24px;
    }
}

@media (min-width: 769px) and (max-width: 920px) {
    
    .service-session {
        grid-template-columns: 1fr 1fr 1fr;
    }

    .ses-head {
        font-size: 24px;
    }
}

.reveala {
  opacity: 0;
  transform: translateY(-60px);
   transition: opacity 1s ease, transform 1s ease;
}


.reveal {
  opacity: 0;
  transform: translateY(60px);
  transition: all 1s ease;
}

.reveal.active, .reveala.active{
  opacity: 1;
  transform: translateY(0);
}
